Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OFF_SRC/domrea.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OFF_SRC/domrea.F90	(revision 4291)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OFF_SRC/domrea.F90	(revision 4292)
@@ -25,4 +25,6 @@
 
    PUBLIC   dom_rea    ! routine called by inidom.F90
+  !! * Substitutions
+#  include "domzgr_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/OFF 3.3 , NEMO Consortium (2010)
@@ -173,25 +175,25 @@
             CALL iom_get( inum4, jpdom_unknown, 'esigw', esigw )
 
-            CALL iom_get( inum4, jpdom_data, 'e3t', e3t ) ! scale factors
-            CALL iom_get( inum4, jpdom_data, 'e3u', e3u )
-            CALL iom_get( inum4, jpdom_data, 'e3v', e3v )
-            CALL iom_get( inum4, jpdom_data, 'e3w', e3w )
-
-            CALL iom_get( inum4, jpdom_unknown, 'gdept_0', gdept_0 ) ! depth
-            CALL iom_get( inum4, jpdom_unknown, 'gdepw_0', gdepw_0 )
+            CALL iom_get( inum4, jpdom_data, 'e3t', fse3t_n(:,:,:) ) ! scale factors
+            CALL iom_get( inum4, jpdom_data, 'e3u', fse3u_n(:,:,:) )
+            CALL iom_get( inum4, jpdom_data, 'e3v', fse3v_n(:,:,:) )
+            CALL iom_get( inum4, jpdom_data, 'e3w', fse3w_n(:,:,:) )
+
+            CALL iom_get( inum4, jpdom_unknown, 'gdept_1d', gdept_1d ) ! depth
+            CALL iom_get( inum4, jpdom_unknown, 'gdepw_1d', gdepw_1d )
          ENDIF
 
  
          IF( ln_zps ) THEN                                           ! z-coordinate - partial steps
-            CALL iom_get( inum4, jpdom_unknown, 'gdept_0', gdept_0 )    ! reference depth
-            CALL iom_get( inum4, jpdom_unknown, 'gdepw_0', gdepw_0 )
-            CALL iom_get( inum4, jpdom_unknown, 'e3t_0'  , e3t_0   )    ! reference scale factors
-            CALL iom_get( inum4, jpdom_unknown, 'e3w_0'  , e3w_0   )
+            CALL iom_get( inum4, jpdom_unknown, 'gdept_1d', gdept_1d )  ! reference depth
+            CALL iom_get( inum4, jpdom_unknown, 'gdepw_1d', gdepw_1d )
+            CALL iom_get( inum4, jpdom_unknown, 'e3t_1d'  , e3t_1d   )    ! reference scale factors
+            CALL iom_get( inum4, jpdom_unknown, 'e3w_1d'  , e3w_1d   )
             !
             IF( nmsh <= 6 ) THEN                                        ! 3D vertical scale factors
-               CALL iom_get( inum4, jpdom_data, 'e3t', e3t )
-               CALL iom_get( inum4, jpdom_data, 'e3u', e3u )
-               CALL iom_get( inum4, jpdom_data, 'e3v', e3v )
-               CALL iom_get( inum4, jpdom_data, 'e3w', e3w )
+               CALL iom_get( inum4, jpdom_data, 'e3t', fse3t_n(:,:,:) )
+               CALL iom_get( inum4, jpdom_data, 'e3u', fse3u_n(:,:,:) )
+               CALL iom_get( inum4, jpdom_data, 'e3v', fse3v_n(:,:,:) )
+               CALL iom_get( inum4, jpdom_data, 'e3w', fse3w_n(:,:,:) )
             ELSE                                                        ! 2D bottom scale factors
                CALL iom_get( inum4, jpdom_data, 'e3t_ps', e3tp )
@@ -199,14 +201,14 @@
                !                                                        ! deduces the 3D scale factors
                DO jk = 1, jpk
-                  e3t(:,:,jk) = e3t_0(jk)                                     ! set to the ref. factors
-                  e3u(:,:,jk) = e3t_0(jk)
-                  e3v(:,:,jk) = e3t_0(jk)
-                  e3w(:,:,jk) = e3w_0(jk)
+                  fse3t_n(:,:,jk) = e3t_1d(jk)                                    ! set to the ref. factors
+                  fse3u_n(:,:,jk) = e3t_1d(jk)
+                  fse3v_n(:,:,jk) = e3t_1d(jk)
+                  fse3w_n(:,:,jk) = e3w_1d(jk)
                END DO
                DO jj = 1,jpj                                                  ! adjust the deepest values
                   DO ji = 1,jpi
                      ik = mbkt(ji,jj)
-                     e3t(ji,jj,ik) = e3tp(ji,jj) * tmask(ji,jj,1) + e3t_0(1) * ( 1._wp - tmask(ji,jj,1) )
-                     e3w(ji,jj,ik) = e3wp(ji,jj) * tmask(ji,jj,1) + e3w_0(1) * ( 1._wp - tmask(ji,jj,1) )
+                     fse3t_n(ji,jj,ik) = e3tp(ji,jj) * tmask(ji,jj,1) + e3t_1d(1) * ( 1._wp - tmask(ji,jj,1) )
+                     fse3w_n(ji,jj,ik) = e3wp(ji,jj) * tmask(ji,jj,1) + e3w_1d(1) * ( 1._wp - tmask(ji,jj,1) )
                   END DO
                END DO
@@ -214,21 +216,21 @@
                   DO jj = 1, jpjm1
                      DO ji = 1, jpim1
-                        e3u(ji,jj,jk) = MIN( e3t(ji,jj,jk), e3t(ji+1,jj,jk) )
-                        e3v(ji,jj,jk) = MIN( e3t(ji,jj,jk), e3t(ji,jj+1,jk) )
+                        fse3u_n(ji,jj,jk) = MIN( fse3t_n(ji,jj,jk), fse3t_n(ji+1,jj,jk) )
+                        fse3v_n(ji,jj,jk) = MIN( fse3t_n(ji,jj,jk), fse3t_n(ji,jj+1,jk) )
                      END DO
                   END DO
                END DO
-               CALL lbc_lnk( e3u , 'U', 1._wp )   ;   CALL lbc_lnk( e3uw, 'U', 1._wp )   ! lateral boundary conditions
-               CALL lbc_lnk( e3v , 'V', 1._wp )   ;   CALL lbc_lnk( e3vw, 'V', 1._wp )
+               CALL lbc_lnk( fse3u_n(:,:,:) , 'U', 1._wp )   ;   CALL lbc_lnk( fse3uw_n(:,:,:), 'U', 1._wp )   ! lateral boundary conditions
+               CALL lbc_lnk( fse3v_n(:,:,:) , 'V', 1._wp )   ;   CALL lbc_lnk( fse3vw_n(:,:,:), 'V', 1._wp )
                !
                DO jk = 1, jpk                        ! set to z-scale factor if zero (i.e. along closed boundaries)
-                  WHERE( e3u(:,:,jk) == 0._wp )   e3u(:,:,jk) = e3t_0(jk)
-                  WHERE( e3v(:,:,jk) == 0._wp )   e3v(:,:,jk) = e3t_0(jk)
+                  WHERE( fse3u_n(:,:,jk) == 0._wp )   fse3u_n(:,:,jk) = e3t_1d(jk)
+                  WHERE( fse3v_n(:,:,jk) == 0._wp )   fse3v_n(:,:,jk) = e3t_1d(jk)
                END DO
             END IF
 
             IF( iom_varid( inum4, 'gdept', ldstop = .FALSE. ) > 0 ) THEN   ! 3D depth of t- and w-level
-               CALL iom_get( inum4, jpdom_data, 'gdept', gdept )
-               CALL iom_get( inum4, jpdom_data, 'gdepw', gdepw )
+               CALL iom_get( inum4, jpdom_data, 'gdept', fsdept_n(:,:,:) )
+               CALL iom_get( inum4, jpdom_data, 'gdepw', fsdepw_n(:,:,:) )
             ELSE                                                           ! 2D bottom depth
                CALL iom_get( inum4, jpdom_data, 'hdept', zprt )
@@ -236,6 +238,6 @@
                !
                DO jk = 1, jpk                                              ! deduces the 3D depth
-                  gdept(:,:,jk) = gdept_0(jk)
-                  gdepw(:,:,jk) = gdepw_0(jk)
+                  fsdept_n(:,:,jk) = gdept_1d(jk)
+                  fsdepw_n(:,:,jk) = gdepw_1d(jk)
                END DO
                DO jj = 1, jpj
@@ -243,7 +245,7 @@
                      ik = mbkt(ji,jj)
                      IF( ik > 0 ) THEN
-                        gdepw(ji,jj,ik+1) = zprw(ji,jj)
-                        gdept(ji,jj,ik  ) = zprt(ji,jj)
-                        gdept(ji,jj,ik+1) = gdept(ji,jj,ik) + e3t(ji,jj,ik)
+                        fsdepw_n(ji,jj,ik+1) = zprw(ji,jj)
+                        fsdept_n(ji,jj,ik  ) = zprt(ji,jj)
+                        fsdept_n(ji,jj,ik+1) = fsdept_n(ji,jj,ik) + fse3t_n(ji,jj,ik)
                      ENDIF
                   END DO
@@ -254,15 +256,15 @@
 
          IF( ln_zco ) THEN           ! Vertical coordinates and scales factors
-            CALL iom_get( inum4, jpdom_unknown, 'gdept_0', gdept_0 ) ! depth
-            CALL iom_get( inum4, jpdom_unknown, 'gdepw_0', gdepw_0 )
-            CALL iom_get( inum4, jpdom_unknown, 'e3t_0'  , e3t_0   )
-            CALL iom_get( inum4, jpdom_unknown, 'e3w_0'  , e3w_0   )
+            CALL iom_get( inum4, jpdom_unknown, 'gdept_1d', gdept_1d ) ! depth
+            CALL iom_get( inum4, jpdom_unknown, 'gdepw_1d', gdepw_1d )
+            CALL iom_get( inum4, jpdom_unknown, 'e3t_1d'  , e3t_1d   )
+            CALL iom_get( inum4, jpdom_unknown, 'e3w_1d'  , e3w_1d   )
             DO jk = 1, jpk
-               e3t  (:,:,jk) = e3t_0(jk)                                     ! set to the ref. factors
-               e3u  (:,:,jk) = e3t_0(jk)
-               e3v  (:,:,jk) = e3t_0(jk)
-               e3w  (:,:,jk) = e3w_0(jk)
-               gdept(:,:,jk) = gdept_0(jk)
-               gdepw(:,:,jk) = gdepw_0(jk)
+               fse3t_n(:,:,jk) = e3t_1d(jk)                              ! set to the ref. factors
+               fse3u_n(:,:,jk) = e3t_1d(jk)
+               fse3v_n(:,:,jk) = e3t_1d(jk)
+               fse3w_n(:,:,jk) = e3w_1d(jk)
+               fsdept_n(:,:,jk) = gdept_1d(jk)
+               fsdepw_n(:,:,jk) = gdepw_1d(jk)
             END DO
          ENDIF
@@ -270,6 +272,6 @@
 !!gm BUG in s-coordinate this does not work!
       ! deepest/shallowest W level Above/Below ~10m
-      zrefdep = 10._wp - ( 0.1_wp * MINVAL(e3w_0) )                  ! ref. depth with tolerance (10% of minimum layer thickness)
-      nlb10 = MINLOC( gdepw_0, mask = gdepw_0 > zrefdep, dim = 1 )   ! shallowest W level Below ~10m
+      zrefdep = 10._wp - ( 0.1_wp * MINVAL(e3w_1d) )                 ! ref. depth with tolerance (10% of minimum layer thickness)
+      nlb10 = MINLOC( gdepw_1d, mask = gdepw_1d > zrefdep, dim = 1 ) ! shallowest W level Below ~10m
       nla10 = nlb10 - 1                                              ! deepest    W level Above ~10m
 !!gm end bug
@@ -312,10 +314,10 @@
          WRITE(numout,*) '              Reference z-coordinate depth and scale factors:'
          WRITE(numout, "(9x,' level   gdept    gdepw     e3t      e3w  ')" )
-         WRITE(numout, "(10x, i4, 4f9.2)" ) ( jk, gdept_0(jk), gdepw_0(jk), e3t_0(jk), e3w_0(jk), jk = 1, jpk )
+         WRITE(numout, "(10x, i4, 4f9.2)" ) ( jk, gdept_1d(jk), gdepw_1d(jk), e3t_1d(jk), e3w_1d(jk), jk = 1, jpk )
       ENDIF
 
       DO jk = 1, jpk
-         IF( e3w_0  (jk) <= 0._wp .OR. e3t_0  (jk) <= 0._wp )   CALL ctl_stop( ' e3w_0 or e3t_0 =< 0 ' )
-         IF( gdepw_0(jk) <  0._wp .OR. gdept_0(jk) <  0._wp )   CALL ctl_stop( ' gdepw_0 or gdept_0 < 0 ' )
+         IF( e3w_1d  (jk) <= 0._wp .OR. e3t_1d  (jk) <= 0._wp )   CALL ctl_stop( ' e3w_1d or e3t_1d =< 0 ' )
+         IF( gdepw_1d(jk) <  0._wp .OR. gdept_1d(jk) <  0._wp )   CALL ctl_stop( ' gdepw_1d or gdept_1d < 0 ' )
       END DO
       !                                     ! ============================
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_oce.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_oce.F90	(revision 4291)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_oce.F90	(revision 4292)
@@ -8,4 +8,5 @@
    !!            3.3  !  2010-09  (D. Storkey) add ice boundary conditions
    !!            3.4  !  2011     (D. Storkey) rewrite in preparation for OBC-BDY merge
+   !!            3.6  !  2012-01  (C. Rousset) add ice boundary conditions for lim3
    !!----------------------------------------------------------------------
 #if defined key_bdy 
@@ -27,22 +28,46 @@
       INTEGER, POINTER, DIMENSION(:,:)   ::  nbr
       INTEGER, POINTER, DIMENSION(:,:)   ::  nbmap
-      REAL   , POINTER, DIMENSION(:,:)   ::  nbw
-      REAL   , POINTER, DIMENSION(:,:)   ::  nbd
-      REAL   , POINTER, DIMENSION(:)     ::  flagu
-      REAL   , POINTER, DIMENSION(:)     ::  flagv
+      REAL(wp)   , POINTER, DIMENSION(:,:)   ::  nbw
+      REAL(wp)   , POINTER, DIMENSION(:,:)   ::  nbd
+      REAL(wp)   , POINTER, DIMENSION(:,:)   ::  nbdout
+      REAL(wp)   , POINTER, DIMENSION(:,:)   ::  flagu
+      REAL(wp)   , POINTER, DIMENSION(:,:)   ::  flagv
    END TYPE OBC_INDEX
 
+   !! Logicals in OBC_DATA structure are true if the chosen algorithm requires this
+   !! field as external data. If true the data can come from external files
+   !! or model initial conditions. If false then no "external" data array
+   !! is required for this field. 
+
    TYPE, PUBLIC ::   OBC_DATA     !: Storage for external data
-      REAL, POINTER, DIMENSION(:)     ::  ssh
-      REAL, POINTER, DIMENSION(:)     ::  u2d
-      REAL, POINTER, DIMENSION(:)     ::  v2d
-      REAL, POINTER, DIMENSION(:,:)   ::  u3d
-      REAL, POINTER, DIMENSION(:,:)   ::  v3d
-      REAL, POINTER, DIMENSION(:,:)   ::  tem
-      REAL, POINTER, DIMENSION(:,:)   ::  sal
+      INTEGER,       DIMENSION(2)     ::  nread
+      LOGICAL                         ::  ll_ssh
+      LOGICAL                         ::  ll_u2d
+      LOGICAL                         ::  ll_v2d
+      LOGICAL                         ::  ll_u3d
+      LOGICAL                         ::  ll_v3d
+      LOGICAL                         ::  ll_tem
+      LOGICAL                         ::  ll_sal
+      REAL(wp), POINTER, DIMENSION(:)     ::  ssh
+      REAL(wp), POINTER, DIMENSION(:)     ::  u2d
+      REAL(wp), POINTER, DIMENSION(:)     ::  v2d
+      REAL(wp), POINTER, DIMENSION(:,:)   ::  u3d
+      REAL(wp), POINTER, DIMENSION(:,:)   ::  v3d
+      REAL(wp), POINTER, DIMENSION(:,:)   ::  tem
+      REAL(wp), POINTER, DIMENSION(:,:)   ::  sal
 #if defined key_lim2
-      REAL, POINTER, DIMENSION(:)     ::  frld
-      REAL, POINTER, DIMENSION(:)     ::  hicif
-      REAL, POINTER, DIMENSION(:)     ::  hsnif
+      LOGICAL                         ::  ll_frld
+      LOGICAL                         ::  ll_hicif
+      LOGICAL                         ::  ll_hsnif
+      REAL(wp), POINTER, DIMENSION(:)     ::  frld
+      REAL(wp), POINTER, DIMENSION(:)     ::  hicif
+      REAL(wp), POINTER, DIMENSION(:)     ::  hsnif
+#elif defined key_lim3
+      LOGICAL                         ::  ll_a_i
+      LOGICAL                         ::  ll_ht_i
+      LOGICAL                         ::  ll_ht_s
+      REAL, POINTER, DIMENSION(:,:)   ::  a_i   !: now ice leads fraction climatology
+      REAL, POINTER, DIMENSION(:,:)   ::  ht_i  !: Now ice  thickness climatology
+      REAL, POINTER, DIMENSION(:,:)   ::  ht_s  !: now snow thickness
 #endif
    END TYPE OBC_DATA
@@ -63,23 +88,24 @@
    INTEGER                    ::   nn_volctl                !: = 0 the total volume will have the variability of the surface Flux E-P 
    !                                                        !  = 1 the volume will be constant during all the integration.
-   INTEGER, DIMENSION(jp_bdy) ::   nn_dyn2d                 ! Choice of boundary condition for barotropic variables (U,V,SSH)
-   INTEGER, DIMENSION(jp_bdy) ::   nn_dyn2d_dta      	    !: = 0 use the initial state as bdy dta ; 
+   CHARACTER(len=20), DIMENSION(jp_bdy) ::   cn_dyn2d       ! Choice of boundary condition for barotropic variables (U,V,SSH)
+   INTEGER, DIMENSION(jp_bdy)           ::   nn_dyn2d_dta   !: = 0 use the initial state as bdy dta ; 
                                                             !: = 1 read it in a NetCDF file
                                                             !: = 2 read tidal harmonic forcing from a NetCDF file
                                                             !: = 3 read external data AND tidal harmonic forcing from NetCDF files
-   INTEGER, DIMENSION(jp_bdy) ::   nn_dyn3d                 ! Choice of boundary condition for baroclinic velocities 
-   INTEGER, DIMENSION(jp_bdy) ::   nn_dyn3d_dta      	    !: = 0 use the initial state as bdy dta ; 
+   CHARACTER(len=20), DIMENSION(jp_bdy) ::   cn_dyn3d       ! Choice of boundary condition for baroclinic velocities 
+   INTEGER, DIMENSION(jp_bdy)           ::   nn_dyn3d_dta   !: = 0 use the initial state as bdy dta ; 
                                                             !: = 1 read it in a NetCDF file
-   INTEGER, DIMENSION(jp_bdy) ::   nn_tra                   ! Choice of boundary condition for active tracers (T and S)
-   INTEGER, DIMENSION(jp_bdy) ::   nn_tra_dta      	    !: = 0 use the initial state as bdy dta ; 
+   CHARACTER(len=20), DIMENSION(jp_bdy) ::   cn_tra         ! Choice of boundary condition for active tracers (T and S)
+   INTEGER, DIMENSION(jp_bdy)           ::   nn_tra_dta     !: = 0 use the initial state as bdy dta ; 
                                                             !: = 1 read it in a NetCDF file
    LOGICAL, DIMENSION(jp_bdy) ::   ln_tra_dmp               !: =T Tracer damping
    LOGICAL, DIMENSION(jp_bdy) ::   ln_dyn3d_dmp             !: =T Baroclinic velocity damping
-   REAL,    DIMENSION(jp_bdy) ::   rn_time_dmp              !: Damping time scale in days
+   REAL(wp),    DIMENSION(jp_bdy) ::   rn_time_dmp              !: Damping time scale in days
+   REAL(wp),    DIMENSION(jp_bdy) ::   rn_time_dmp_out          !: Damping time scale in days at radiation outflow points
 
 #if defined key_lim2
-   INTEGER, DIMENSION(jp_bdy) ::   nn_ice_lim2              ! Choice of boundary condition for sea ice variables 
-   INTEGER, DIMENSION(jp_bdy) ::   nn_ice_lim2_dta          !: = 0 use the initial state as bdy dta ; 
-                                                            !: = 1 read it in a NetCDF file
+   CHARACTER(len=20), DIMENSION(jp_bdy) ::   nn_ice_lim2      ! Choice of boundary condition for sea ice variables 
+   INTEGER, DIMENSION(jp_bdy)           ::   nn_ice_lim2_dta  !: = 0 use the initial state as bdy dta ; 
+                                                              !: = 1 read it in a NetCDF file
 #endif
    !
@@ -88,15 +114,15 @@
    !! Global variables
    !!----------------------------------------------------------------------
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:) ::   bdytmask   !: Mask defining computational domain at T-points
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:) ::   bdyumask   !: Mask defining computational domain at U-points
-   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:) ::   bdyvmask   !: Mask defining computational domain at V-points
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:), TARGET ::   bdytmask   !: Mask defining computational domain at T-points
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:), TARGET ::   bdyumask   !: Mask defining computational domain at U-points
+   REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:), TARGET ::   bdyvmask   !: Mask defining computational domain at V-points
 
    REAL(wp)                                    ::   bdysurftot !: Lateral surface of unstructured open boundary
 
-   REAL(wp), POINTER, DIMENSION(:,:)           ::   pssh       !: 
-   REAL(wp), POINTER, DIMENSION(:,:)           ::   phur       !: 
-   REAL(wp), POINTER, DIMENSION(:,:)           ::   phvr       !: Pointers for barotropic fields 
-   REAL(wp), POINTER, DIMENSION(:,:)           ::   pu2d       !: 
-   REAL(wp), POINTER, DIMENSION(:,:)           ::   pv2d       !: 
+   REAL(wp), POINTER, DIMENSION(:,:)           ::   pssh                  !: 
+   REAL(wp), POINTER, DIMENSION(:,:)           ::   phur                  !: 
+   REAL(wp), POINTER, DIMENSION(:,:)           ::   phvr                  !: Pointers for barotropic fields 
+   REAL(wp), POINTER, DIMENSION(:,:)           ::   pub2d, pun2d, pua2d   !: 
+   REAL(wp), POINTER, DIMENSION(:,:)           ::   pvb2d, pvn2d, pva2d   !: 
 
    !!----------------------------------------------------------------------
@@ -109,5 +135,5 @@
    REAL(wp), ALLOCATABLE, DIMENSION(:,:,:), TARGET ::   dta_global2       !: workspace for reading in global data arrays (struct. bdy)
    TYPE(OBC_INDEX), DIMENSION(jp_bdy), TARGET      ::   idx_bdy           !: bdy indices (local process)
-   TYPE(OBC_DATA) , DIMENSION(jp_bdy)              ::   dta_bdy           !: bdy external data (local process)
+   TYPE(OBC_DATA) , DIMENSION(jp_bdy), TARGET      ::   dta_bdy           !: bdy external data (local process)
 
    !!----------------------------------------------------------------------
@@ -125,5 +151,5 @@
       !!----------------------------------------------------------------------
       !
-      ALLOCATE( bdytmask(jpi,jpj) , bdyumask(jpi,jpj), bdyvmask(jpi,jpj),                    &  
+      ALLOCATE( bdytmask(jpi,jpj) , bdyumask(jpi,jpj), bdyvmask(jpi,jpj),     &  
          &      STAT=bdy_oce_alloc )
          !
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_par.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_par.F90	(revision 4291)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/OPA_SRC/BDY/bdy_par.F90	(revision 4292)
@@ -23,11 +23,6 @@
 # endif
    INTEGER, PUBLIC, PARAMETER ::   jp_bdy  = 10       !: Maximum number of bdy sets
-   INTEGER, PUBLIC, PARAMETER ::   jpbtime = 1000     !: Max number of time dumps per file
    INTEGER, PUBLIC, PARAMETER ::   jpbgrd  = 3	      !: Number of horizontal grid types used  (T, U, V)
 
-   !! Flags for choice of schemes
-   INTEGER, PUBLIC, PARAMETER ::   jp_none         = 0        !: Flag for no open boundary condition
-   INTEGER, PUBLIC, PARAMETER ::   jp_frs          = 1        !: Flag for Flow Relaxation Scheme
-   INTEGER, PUBLIC, PARAMETER ::   jp_flather      = 2        !: Flag for Flather
 #else
    !!----------------------------------------------------------------------
